import { http, Method } from '@/utils/request';
import storage from "@/utils/storage.js";
const userInfo = storage.getUserInfo()
/**
 * 获取农品列表
 * @param {Object} params - 查询参数
 * @returns {Promise} - 返回任务列表
 */
export function getProductInfoList(params) {
  return http.request({
    url: '/base/productInfo/list',
    method: Method.GET,
    params: params,
	needToken: true
  });
}


/**
 * 根据ID获取农品详细信息
 * @param {id} params - 查询参数
 * @returns {Promise} - 返回任务详情
*/
export function getProductInfoById(id) {
  return http.request({
    url: `/base/productInfo/${id}`,
    method: Method.GET,
	needToken: true
  });
}

/**
 * 发布农品信息
*/
export function addProductInfo(params) {
  return http.request({
    url: '/base/productInfo',
    method: Method.POST,
	needToken: true,
	data: params
  });
}

/**
 * 修改农品信息
*/
export function editProductInfo(params) {
  return http.request({
    url: '/base/productInfo',
    method: Method.PUT,
	needToken: true,
	data: params
  });
}